Archive pour la catégorie 'PHP'

[MAC] Postfix configuration serveur smtp relay pour développement

mercredi 19 décembre 2018
Sur mon mac on configure postfix server de relay smtp en local pour le développement php. Par défaut sur mac ce service est installé. Il suffit donc de le configurer correctement. Il est installé par défaiut dans Le fichier principal de configuration se trouve: Ce fichier est très important et change en fonction des versions […] Lire la suite

[PHP] file_get_contents vs fopen

lundi 12 novembre 2018
Il faut savoir que la fonction file_get_contents charge en mémoire l’entièreté du fichier. Du coup, cette solution n’est pas valable si vous travaillez avec des gros fichiers. En utilisant, la fonction fopen, PHP aura besoin seulement quelques MB de RAM même si on upload un fichier de plusieurs Gigas. Bon à savoir, j’ai rencontré ce […] Lire la suite

[Laravel] Backup

jeudi 8 février 2018
Laravel nous met aussi a disposition un service pour gérer les backups de notre site Dans un premier temps, on va installer la librairie via composer Ensuite, nous devons rajouter un service provider dans /config/app.php Nous allons demander à artisan de créer les fichiers de configurations nécessaire pour notre service: Il va donc créer le […] Lire la suite

[Laravel] Installation php 7/mysql sous Debian 9 pour un projet Laravel

mardi 23 janvier 2018
Vous trouverez ci-dessous mes étapes concernant l’installation php / mysql pour mon site web développé sous le framework Laravel: Installation d’apache: il faut en premier lieu installer Apache car les modules de php ont besoin d’interagir avec la configuration du serveur apache. php et extensions: Si jamais vous rencontrez des soucis sous apache que apache […] Lire la suite

[Laravel] Upgrade laravel

mardi 23 janvier 2018
Pour le passage d’une version de laravel à une autre, il suffit généralement de suivre la documentation officiel ici Dans mon cas, j’ai du mettre à jour laravel de la version 5.4 compatible php5.6 vers la version 5.5 qui supporte plus php5.6 mais php7.Du coup, il faut bien évidement mettre à jour la version de […] Lire la suite